@import model._

@import model.forms.EditParkForm
@(id: Option[Int], form: Form[EditParkForm])(implicit req: MessagesRequest[AnyContent], user: User)

@implicitField = @{
    helper.FieldConstructor(views.html.templates._field_constructor.f)
}

<!DOCTYPE html>

<html lang="en">
    <head>
        @views.html.templates._common_headers("Edit Park")
    </head>
    <body>
        @views.html.templates._navbar()(req, Some(user))

        <div class="container">
            <h3>@{if(id.isDefined) "Edit" else "Create"} Park</h3>
            <hr />
            @helper.form(action = routes.AdminController.submitEditParkForm(id)) {
                <div class="row">
                    @if(id.isDefined) {
                        <div class="col-sm">
                            <label for="fake-park-id">ID</label>
                            <input class="form-control" disabled="disabled" id="fake-park-id" value="@id.get">
                        </div>
                    }
                    <div class="col-sm">
                        @helper.input(form("name")) { (id, name, value, args) =>
                            <label for="@id">Name</label>
                            <input type="text" class="form-control" name="@name" value="@value" id="@id" />
                        }
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm">
                    @helper.input(form("factorHR")) { (id, name, value, args) =>
                        <label for="@id">HR</label>
                        <input type="number" step="0.001" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("factor3B")) { (id, name, value, args) =>
                        <label for="@id">3B</label>
                        <input type="number" step="0.001" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("factor2B")) { (id, name, value, args) =>
                        <label for="@id">2B</label>
                        <input type="number" step="0.001" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("factor1B")) { (id, name, value, args) =>
                        <label for="@id">1B</label>
                        <input type="number" step="0.001" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                    <div class="col-sm">
                    @helper.input(form("factorBB")) { (id, name, value, args) =>
                        <label for="@id">BB</label>
                        <input type="number" step="0.001" class="form-control" name="@name" value="@value" id="@id" />
                    }
                    </div>
                </div>
                <button type="submit" class="btn btn-success mt-2">Submit</button>
            }
        </div>
    </body>
</html>